# Fedi Link Fetcher

A pair of PHP scripts that extract links from your Mastodon / snac bookmarks and add them to:

- YouTube Playlist (Google oAUTH API)
- Readeck (simple API token) 

## Instructions to get a Readeck token 

In Web UI:

- Settings, API tokens, Create API Token
- Check Bookmarks Read + Write

Save it as:
```
/_credentials/token.json
```

## Instructions to create Youtube Playlist and get a token

- Go to the Google Cloud Console:
- Project > APIs & Services > Credentials
- Create oauth client ID 
- for TV and limited INPUT
- Download the OAuth 2.0 Client ID JSON file

Save it as:
```
/_credentials/client_secret.json
```

## Add your Google account as a test user

- Go to Google Cloud Console > OAuth consent screen
- ~> Audience
- Under “Test users”
- Add your Google email for your Youtube account


## Add google Api things with PHP Composer

```
composer require google/apiclient:^2.0
```

# Add to your cron
```
*/5 * * * * /home/snac/fedi_slurp/fedi_slurp.php > /home/snac/logs/fedi_slurp.log 2>&1
```



